Bug 769033 - Deploying two bundles to the same destination directory (i.e. <EAP>/default/deploy or /usr/share) will corrupt the earlier deployments
Deploying two bundles to the same destination directory (i.e. <EAP>/default/d...
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Provisioning (Show other bugs)
JON 3.1.2
Unspecified Unspecified
urgent Severity high
: ---
: JON 3.4.0
Assigned To: RHQ Project Maintainer
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2011-12-19 12:32 EST by John Mazzitelli
Modified: 2014-12-17 19:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-12-19 12:32:32 EST
Suppose someone wants to deploy a bundle (say, an EAP server) and then they want to deploy another inner bundle inside of that (say, for a WAR app). Can we support this?

Can this deploy?

Can you purge the inner bundle and leave the outer bundle intact?

What happens when you purge the outer bundle?

What happens when you purge the outer bundle with "clean directory" option?

Note, purging the outer bundle will still keep the inner bundle intact IN THE RHQ DATABASE. There is no relationships between bundles, so from the UI perpsective, even if you remove the outer bundle, the inner bundle will still look like its deployed in the GUI (although in reality, on the file system, it will be gone).

This BZ is merely to investigate what happens if you try to do this. It was never intended to be a supported feature.
Comment 1 Larry O'Leary 2011-12-19 13:57:31 EST
Increasing the severity of this issue as in JON 3.0 we now support the concept of resource level bundles. This means that this use-case will become more common seeing that a JBoss AS server could be deployed using a bundle and then a WAR could then be deployed into the inventoried AS resource without prior knowledge of a bundle-within-a-bundle scenario. The result could be catastrophic from an application management perspective.
Comment 2 Heiko W. Rupp 2013-12-07 10:03:55 EST
Where do we stand here?
Comment 3 John Mazzitelli 2013-12-07 12:48:29 EST
This won't work, currently does not work, because the metadata directory (.rhqdeployments) is located under the destination directory. If you have a Russian doll type deployment (bundles inside of bundles) the .rhqdeployments directories will get in the way.

Right now, for sure this is NOT supported, and I highly doubt it will work.
Comment 4 Heiko W. Rupp 2013-12-09 04:39:29 EST
Assigning to Deon, so that she can make that explicit in the documentation.

Lowering priority.

Note You need to log in before you can comment on or make changes to this bug.